#include <iostream>
using namespace std;
int main(){
long long a,b,c,d,e,brkutii=0,promenlivazarazmqna,masiv[4],i,j;
brkutii++;
cin>>a>>b>>c>>d>>e;
masiv[0]=a;
masiv[1]=b;
masiv[2]=c;
masiv[3]=d;
for(i=0;i<=3;i++){
    for(j=i+1;j<=3;j++){
        if(masiv[j]<masiv[i]){
            promenlivazarazmqna=masiv[j];
            masiv[j]=masiv[i];
            masiv[i]=promenlivazarazmqna;
        }
    }
}
a=masiv[0];
b=masiv[1];
c=masiv[2];
d=masiv[3];
   if(b>e-a){
    brkutii++;
    if(c>e-a && c>e-b){
        brkutii++;
        if(d>e-a && d>e-b && d>e-c && d*d*d>e*e*e-e*a*a){
            brkutii++;
        }
    }else{
        if(d>e-a && d>e-b && d>e-a-c && d>e-b-c && d*d*d>e*e*e-e*a*a){
            brkutii++;
        }
    }
}else{
    if(c>e-a && c>e-a-b){
        brkutii++;
        if(d>e-a && d>e-a-b && d>e-c && d*d*d>e*e*e-e*a*a){
            brkutii++;
        }
    }else{
        if(d>e-a && d>e-c && d>e-b && d>e-a-c && d>e-a-b && d>e-a-b-c && d>e-b-c && d*d*d>e*e*e-e*a*a){
            brkutii++;
        }
    }
}
cout<<brkutii<<endl;
return 0;
}
